#ifndef __IMFRequest_h__
#define __IMFRequest_h__

#include "ZString.h"
#include "IMFMessage.h"

namespace coreutils {

   class IMFRequest : ZString {

    public:
      IMFRequest(ZString &in);

      ZString getMethod();
      ZString getURI();
      ZString getProtocol();

   };

}

#endif
